API Endpoints

Comprehensive reference for all Thesean API endpoints, including required and optional parameters.

Chat Completions

The /v1/chat/completions endpoint supports most parameters available in the OpenAI Chat Completions API.

Endpoint

POST https://api.thesean.ai/v1/chat/completions

Required Parameters

  • Name
    model
    Type
    string
    Description

    Use any supported Ship model.

  • Name
    messages
    Type
    array
    Description

    A list of messages comprising the conversation so far.

Common Optional Parameters

  • Name
    max_completion_tokens
    Type
    integer
    Description

    The maximum number of tokens to generate.

  • Name
    reasoning_effort
    Type
    string
    Description

    The amount of reasoning effort to use when supported by the selected model.

  • Name
    stream
    Type
    boolean
    Description

    Whether to incrementally stream the response using server-sent events.

  • Name
    temperature
    Type
    number
    Description

    The sampling temperature.

  • Name
    tool_choice
    Type
    string | object
    Description

    Controls whether and how the model uses the supplied tools.

  • Name
    tools
    Type
    array
    Description

    Definitions of functions the model may call.

Example Request

curl https://api.thesean.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $THESEAN_API_KEY" \
  -d '{
    "model": "ship-like/claude-opus-4-8",
    "messages": [
      {
        "role": "user",
        "content": "Explain the importance of biodiversity."
      }
    ]
  }'

Responses

The /v1/responses endpoint supports most parameters available in the OpenAI Responses API. Use this endpoint with any supported Ship model. The examples below use ship-like/gpt-5.6-sol.

Endpoint

POST https://api.thesean.ai/v1/responses

Required Parameters

  • Name
    model
    Type
    string
    Description

    Use any supported Ship model.

  • Name
    input
    Type
    string | array
    Description

    Text, images, files, or other input items used to generate a response.

Common Optional Parameters

  • Name
    instructions
    Type
    string
    Description

    A system-level instruction for the model.

  • Name
    max_output_tokens
    Type
    integer
    Description

    The maximum number of tokens to generate.

  • Name
    reasoning
    Type
    object
    Description

    Reasoning configuration for models that support it.

  • Name
    stream
    Type
    boolean
    Description

    Whether to incrementally stream the response using server-sent events.

  • Name
    tools
    Type
    array
    Description

    Definitions of tools the model may call.

Example Request

curl https://api.thesean.ai/v1/responses \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $THESEAN_API_KEY" \
  -d '{
    "model": "ship-like/gpt-5.6-sol",
    "input": "Explain the importance of biodiversity."
  }'

Messages

The /v1/messages endpoint supports most of the parameters available in the Anthropic Messages API.

Endpoint

POST https://api.thesean.ai/v1/messages

Required Parameters

  • Name
    model
    Type
    string
    Description

    Use ship-like/claude-opus-4-8, ship-like/claude-sonnet-5, or ship-like/claude-haiku-4-5 with the Anthropic-compatible Messages API.

    See Available Models for model details.

  • Name
    messages
    Type
    array
    Description

    Input messages comprising the conversation so far.

    • Name
      role
      Type
      string
      Description

      The role of the message sender (e.g., user or assistant).

    • Name
      content
      Type
      string | array
      Description

      The content of the message. Can be a string or an array of content blocks.

  • Name
    max_tokens
    Type
    integer
    Description

    The maximum number of tokens to generate before stopping.

Optional Parameters

  • Name
    container
    Type
    object
    Description

    Configuration for the container in which the model operates.

  • Name
    context_management
    Type
    object
    Description

    Settings for how the model manages conversation context.

  • Name
    metadata
    Type
    object
    Description

    An object describing metadata about the request for logging, analytics, or monitoring purposes.

  • Name
    stop_sequences
    Type
    array
    Description

    Custom text sequences that will cause the model to stop generating.

  • Name
    stream
    Type
    boolean
    Description

    Whether to incrementally stream the response using server-sent events.

  • Name
    system
    Type
    string | array
    Description

    System prompt to guide the model's behavior.

  • Name
    temperature
    Type
    number
    Description

    Amount of randomness injected into the response. Ranges from 0.0 to 1.0.

  • Name
    tool_choice
    Type
    object
    Description

    How the model should use the provided tools.

  • Name
    tools
    Type
    array
    Description

    Definitions of tools that the model may use.

  • Name
    top_k
    Type
    integer
    Description

    Only sample from the top K options for each subsequent token.

  • Name
    top_p
    Type
    number
    Description

    Use nucleus sampling with the specified probability mass.

Example Request

curl https://api.thesean.ai/v1/messages \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $THESEAN_API_KEY" \
  -d '{
    "model": "ship-like/claude-opus-4-8",
    "max_tokens": 1024,
    "messages": [
      {
        "role": "user",
        "content": "Explain the importance of biodiversity."
      }
    ]
  }'

List Models

The /v1/models endpoint returns the Ship models supported by Thesean.

Endpoint

GET https://api.thesean.ai/v1/models

Parameters

This endpoint accepts no parameters.

Response

Returns a JSON object with a data array containing the available Ship models and their current metadata.

Example Request

curl https://api.thesean.ai/v1/models \
  -H "Authorization: Bearer $THESEAN_API_KEY"

Example Response

{
  "data": [
    {
      "id": "ship-like/gpt-5.6-sol"
    },
    {
      "id": "ship-like/claude-opus-4-8"
    },
    {
      "id": "ship-like/claude-sonnet-5"
    },
    {
      "id": "ship-like/claude-haiku-4-5"
    }
  ]
}

For current pricing and feature information for all Ship models, see the Available Models page.


Next Steps

Explore Advanced Features

Learn about streaming, caching, and tool use.

Read more

Learn About Error Handling

Understand error codes and implement robust error handling in your application.

Read more